#ifndef DATE_PATTERN_H
#define DATE_PATTERN_H

// $Id: datepattern.h,v 1.2 2001/04/12 14:55:56 dvermeir Exp $
#include <string>
#include <vector>
#include <iostream>

//! Extra class to represent a Date category.
class DatePattern {
public:
  DatePattern() {}
  
  //! Construct DatePattern containing first l components of p.
  DatePattern(const DatePattern& p,unsigned int l);

  //! Parses 1999-03-12 10:00, 1999-3-12, 1999-3, 1999
  bool parse(const string& date_string); 
  //! Set components explicitly.
  void set(unsigned int year, unsigned int month, unsigned int day, unsigned int hours);

  const unsigned int operator[](unsigned int i) const { return date_[i]; }
  unsigned int size() const { return date_.size(); }

  bool operator==(const DatePattern& p) const { return date_ == p.date_; }
  bool operator<(const DatePattern& p) const { return date_ < p.date_; }

  friend ostream& operator<<(ostream&,const DatePattern&);
private:
  vector<unsigned int> date_; // 0 = year, 1 = month, 2 = day, 3 = hours
};

#endif
