#ifndef DOMAIN_H
#define DOMAIN_H

// $Id: domain.h,v 1.2 2001/04/12 14:55:56 dvermeir Exp $
#include <iostream>
#include <string>
#include <list>

class Domain {
public:
  Domain() {}
  //! Construct domain that is prefix (of size l) of d.
  Domain(const Domain& d,unsigned int l);

  //! Set domain_ from domain_string.
  bool parse(const string& domain_string); 

  const list<string>& data() const { return domain_; }
  unsigned int size() const { return domain_.size(); }

  bool operator==(const Domain& d) const { return domain_ == d.domain_; }
  bool operator<(const Domain& d) const { return domain_ < d.domain_; }

  friend ostream& operator<<(ostream&,const Domain& domain);
private:
  list<string> domain_;
};

#endif
