#ifndef PATH_H
#define PATH_H

// $Id: path.h,v 1.2 2001/04/12 14:55:57 dvermeir Exp $
#include <string>
#include <vector>

class Path {
public:
  Path() {}
  //! Construct path containing first l components of p.
  Path(const Path& p,unsigned int l);

  bool parse(const string& path_string); 

  const string& operator[](unsigned int i) const { return path_[i]; }
  unsigned int size() const { return path_.size(); }

  bool operator==(const Path& p) const { return path_ == p.path_; }
  bool operator<(const Path& p) const { return path_ < p.path_; }

  friend ostream& operator<<(ostream&,const Path& path);
private:
  vector<string> path_;
};

#endif
